Bug 10464 - "w" and "who" inconsistant
"w" and "who" inconsistant
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: bero
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-30 18:12 EST by Steve Wills
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-01 23:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wills 2000-03-30 18:12:47 EST
steve@dexter:~$ w
  6:23pm  up 3 days,  5:22,  4 users,  load average: 0.26, 0.38, 0.34
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
steve    tty1     -                 6:23pm  9.00s  0.21s  0.07s  -bash
steve    pts/2    :0                3:47pm  6:41   1:07   1:07   mutt
steve    pts/5    :0                6:20pm  0.00s  0.32s  0.07s  w
steve@dexter:~$ who
steve    tty1     Mar 30 18:23
steve    :0       Mar 25 12:35
steve    pts/2    Mar 30 15:47
steve    pts/5    Mar 30 18:20
steve@dexter:~$
Comment 1 jgotts 2000-05-01 23:58:59 EDT
w is actually a component of procps, hence its inconsistency with sh-utils.
Comment 2 Jeff Johnson 2000-08-11 13:32:12 EDT
These are different utilities, implemented in different ways.
Comment 3 Steve Wills 2000-08-11 14:05:29 EDT
The bug is not the inconsistance of the display, but rather the inconsistancy of
the information. As you see above, who lists a login that w does not. Am I
misunderstanding something, or should these two utilities not at least list the
same information, if in diffrent ways?
Comment 4 Jeff Johnson 2000-08-11 14:49:07 EDT
Hi Steve!

Ah, I see. That's easy to explain. w skips non-login user processes, who does
not.

Note You need to log in before you can comment on or make changes to this bug.